import request from '@/utils/request'

// 任务安排列表
export function apiTaskTemplateLists(params: any) {
    return request.get({ url: '/task_template.task_template/lists', params })
}

// 添加任务安排
export function apiTaskTemplateAdd(params: any) {
    return request.post({ url: '/task_template.task_template/add', params })
}

// 编辑任务安排
export function apiTaskTemplateEdit(params: any) {
    return request.post({ url: '/task_template.task_template/edit', params })
}

// 删除任务安排
export function apiTaskTemplateDelete(params: any) {
    return request.post({ url: '/task_template.task_template/delete', params })
}

// 任务安排详情
export function apiTaskTemplateDetail(params: any) {
    return request.get({ url: '/task_template.task_template/detail', params })
}

// 任务类型
export function apiTaskTypeList(params: any) {
    return request.get({ url: '/setting.dict.dict_data/lists', params })
}
